
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wms_raw_return_detail")]
    public class WmsRawReturnDetail
    {
        [Key]
        [Column("raw_return_detail_id")]
        public long RawReturnDetailId { get; set; }

        [Column("raw_return_id")]
        public long RawReturnId { get; set; }

        [Column("location_code")]
        [StringLength(64)]
        public string LocationCode { get; set; }

        [Column("material_barcode")]
        [StringLength(64)]
        public string MaterialBarcode { get; set; }

        [Column("material_id")]
        public long MaterialId { get; set; }

        [Column("instock_batch")]
        [StringLength(64)]
        public string InstockBatch { get; set; }

        [Column("material_production_date")]
        public DateTime? MaterialProductionDate { get; set; }

        [Column("plan_amount")]
        [Precision(16, 2)]
        public decimal PlanAmount { get; set; }

        [Column("return_amount")]
        [Precision(16, 2)]
        public decimal? ReturnAmount { get; set; }

        [Column("execute_status")]
        [StringLength(1)]
        public string ExecuteStatus { get; set; }

        [Column("erp_status")]
        [StringLength(1)]
        public string ErpStatus { get; set; }

        [Column("erp_amount")]
        [Precision(16, 2)]
        public decimal? ErpAmount { get; set; }

        [Column("return_person")]
        [StringLength(64)]
        public string ReturnPerson { get; set; }

        [Column("return_time")]
        public DateTime? ReturnTime { get; set; }

        [Column("return_way")]
        [StringLength(1)]
        public string ReturnWay { get; set; }

        [Column("machine_name")]
        [StringLength(64)]
        public string MachineName { get; set; }

        [Column("quality_status")]
        [StringLength(1)]
        public string QualityStatus { get; set; }

        [Column("create_by")]
        [StringLength(64)]
        public string CreateBy { get; set; }

        [Column("create_date")]
        public DateTime? CreateDate { get; set; }

        [Column("update_by")]
        [StringLength(64)]
        public string UpdateBy { get; set; }

        [Column("update_date")]
        public DateTime? UpdateDate { get; set; }

        [Column("stack_amount")]
        [Precision(16, 2)]
        public decimal? StackAmount { get; set; }
    }
}

